get
/v1/kubernetes/templates/{cluster_template_id}Get cluster template
Get details of a specific cluster template
Path Parameters
cluster_template_id
string<uuid>requiredpath
Kubernetes Cluster Template ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
Cluster template details
Content-Type: application/json
cluster_template
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/kubernetes/templates/550e8400-e29b-41d4-a716-446655440000" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
Cluster template details
{"cluster_template": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:kubernetes:cluster-template:550e8400-e29b-41d4-a716-446655440000","name": "kubernetes-1.28","coe": "kubernetes","image_id": "550e8400-e29b-41d4-a716-446655440000","keypair_id": "string","external_network_id": "550e8400-e29b-41d4-a716-446655440000","fixed_network": "550e8400-e29b-41d4-a716-446655440000","fixed_subnet": "550e8400-e29b-41d4-a716-446655440000","dns_nameserver": "8.8.8.8","docker_storage_driver": "overlay2","docker_volume_size": 0,"volume_driver": "cinder","network_driver": "calico","http_proxy": "string","https_proxy": "string","no_proxy": "string","labels": {},"master_flavor_id": "550e8400-e29b-41d4-a716-446655440000","flavor_id": "550e8400-e29b-41d4-a716-446655440000","server_type": "vm","registry_enabled": false,"insecure_registry": "string","floating_ip_enabled": true,"master_lb_enabled": true,"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}